Incus - Command line client(1)

NAME
incus-file-mount - Mount files from instances

SYNOPSIS
incus file mount [:][/] [] [flags]

DESCRIPTION
Description:
  Mount files from instances.
  If no target path is provided, start an SSH SFTP listener instead.

OPTIONS
--auth-user=""
    ``Set authentication user when using SSH SFTP listener

--listen=""
    ``Setup SSH SFTP listener on address:port instead of mounting

--no-auth[=false]
    ``Disable authentication when using SSH SFTP listener

OPTIONS INHERITED FROM PARENT COMMANDS
--debug[=false]
    Show all debug messages

--explain[=false]
    If the command is valid, explain its parsed arguments instead of running it

--force-local[=false]
    Force using the local unix socket

-h, --help[=false]
    Print help

--project=""
    Override the source project``

-q, --quiet[=false]
    Don't show progress information

--sub-commands[=false]
    Use with help or --help to view sub-commands

-v, --verbose[=false]
    Show all information messages

--version[=false]
    Print version number

EXAMPLE
      incus file mount foo/root fooroot
         To mount /root from the instance foo onto the local fooroot directory.

      incus file mount foo
         To start an SSH SFTP listener for the root filesystem of instance foo.

SEE ALSO
incus-file(1)

HISTORY
10-Jul-2026 Auto generated by spf13/cobra